Subject: Re: [Bier] BIER WG adoption of https://datatracker.ietf.org/doc/draft-xie-bier-entropy-staged-dc-clos/

From: Suneesh Babu <[email-masked]>
Date: Thu, 11 Oct 2018 02:52:32 +0000

Hi,

https://www.ietf.org/id/draft-xie-bier-entropy-staged-dc-clos-01.txt

Section 4.1: (page-4)
-------------

Tier 2 in every cluster has N nodes, and the Tier 1 has M nodes.  M
   is equal to N multiplied by P.

What is P here?

Is P represent the number of equal cost paths from Tier2 to Tier1 nodes?

Though P1, and P2 are mentioned down the line, it would be good to mention P for more clarity

Regards,
Suneesh

From: BIER <[email-masked]> on behalf of Antoni Przygienda <[email-masked]>
Date: Monday, 8 October 2018 at 8:56 PM
To: "[email-masked]" <[email-masked]>
Subject: [Bier] BIER WG adoption of https://datatracker.ietf.org/doc/draft-xie-bier-entropy-staged-dc-clos/

Based on request and consensus in IETF 102 this thread starts official call for adoption for https://datatracker.ietf.org/doc/draft-xie-bier-entropy-staged-dc-clos/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dxie-2Dbier-2Dentropy-2Dstaged-2Ddc-2Dclos_&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=SsQgKVptGdoEQ0IwmOYClpveG-Z2a6-RVt3NWZsVhtY&m=rI2hoyyHoIUAk7n2riDCLuXlUo5yhiHJodxp-icsDCE&s=a4vvtqPRMBbLOR5KhD2E8GlbqX9yhtEHWPa-JBKSVd8&e=>

Please voice support/opposition & comments

--- tony

---

From: Xiejingrong <[email-masked]>
Date: Thu, 11 Oct 2018 03:57:49 +0000

Hi Suneesh,

Thanks for your comments.

And yes, P represents the number of equal cost paths from a Tier2 device to a VNE device in another POD through Tier1 devices.

The text ‘M is equal to N multiplied by P’ is valid for this example. take Section 3.1 text below (borrowed from RFC7938 Section 6.1)  for explaination:

   The number of ECMP paths between any two Tier
   3 devices in Clos topology is equal to the number of the devices in the middle stage (Tier 1).   //M is the total number of Tier1 devices.
   For example, Figure 1 illustrates a   topology where Tier 3 device L1 has four paths to reach servers X and  Y, via Tier 2 devices S1 and S2 //N is 2 (S1/S2).
   and then Tier 1 devices S11, S12, S21  and S22 respectively. //M is 4 (S11/S12/S21/S22),  then P is 2.

Jingrong

From: BIER [mailto:[email-masked]] On Behalf Of Suneesh Babu
Sent: Thursday, October 11, 2018 10:53 AM
To: Antoni Przygienda <[email-masked]>; [email-masked]
Subject: Re: [Bier] BIER WG adoption of https://datatracker.ietf.org/doc/draft-xie-bier-entropy-staged-dc-clos/

Hi,

Section 4.1: (page-4)
-------------

What is P here?

Regards,
Suneesh

From: BIER <[email-masked]<mailto:[email-masked]>> on behalf of Antoni Przygienda <[email-masked]<mailto:[email-masked]>>
Date: Monday, 8 October 2018 at 8:56 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [Bier] BIER WG adoption of https://datatracker.ietf.org/doc/draft-xie-bier-entropy-staged-dc-clos/

--- tony

---

From: Tony Przygienda <[email-masked]>
Date: Wed, 10 Oct 2018 21:06:18 -0700

Na ok, clear serious support, let's wait the 2 weeks & adopt ...

>From my side one comment only, that's really BCP? BCP is what everyone does
AFAIU and this seems just _one_ of the ways to slice the cucumber salad and
hence probably more of an informational track ...

--- tony

On Wed, Oct 10, 2018 at 8:58 PM Xiejingrong <[email-masked]> wrote:

> And yes, P represents the number of equal cost paths from a Tier2 device
> to a VNE device in another POD through Tier1 devices.
>
>
>
> The text ‘M is equal to N multiplied by P’ is valid for this example. take
> Section 3.1 text below (borrowed from RFC7938 Section 6.1)  for
> explaination:
>
>
>
>    3 devices in Clos topology is equal to the number of the devices in the
> middle stage (Tier 1).   //M is the total number of Tier1 devices.
>
>    For example, Figure 1 illustrates a   topology where Tier 3 device L1
> has four paths to reach servers X and  Y, via Tier 2 devices S1 and S2 //N
> is 2 (S1/S2).
>
> *From:* BIER [mailto:[email-masked]] *On Behalf Of *Suneesh Babu
> *Sent:* Thursday, October 11, 2018 10:53 AM
> *To:* Antoni Przygienda <[email-masked]>; [email-masked]
> *Subject:* Re: [Bier] BIER WG adoption of
> https://datatracker.ietf.org/doc/draft-xie-bier-entropy-staged-dc-clos/
>
>
>
> Hi,
>
>
>
> *From: *BIER <[email-masked]> on behalf of Antoni Przygienda <
> [email-masked]>
> *Date: *Monday, 8 October 2018 at 8:56 PM
> *To: *"[email-masked]" <[email-masked]>
> *Subject: *[Bier] BIER WG adoption of
> https://datatracker.ietf.org/doc/draft-xie-bier-entropy-staged-dc-clos/
>
>
>
> Based on request and consensus in IETF 102 this thread starts official
> call for adoption for
> https://datatracker.ietf.org/doc/draft-xie-bier-entropy-staged-dc-clos/
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dxie-2Dbier-2Dentropy-2Dstaged-2Ddc-2Dclos_&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=SsQgKVptGdoEQ0IwmOYClpveG-Z2a6-RVt3NWZsVhtY&m=rI2hoyyHoIUAk7n2riDCLuXlUo5yhiHJodxp-icsDCE&s=a4vvtqPRMBbLOR5KhD2E8GlbqX9yhtEHWPa-JBKSVd8&e=>
>
>
>
> _______________________________________________
> BIER mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bier
>

---

From: Xiejingrong <[email-masked]>
Date: Tue, 16 Oct 2018 01:26:39 +0000

+1 Support adoption as a co-author, and the IPR I am aware of has been disclosed.

I learned RFC2026 and some RFC/draft list, and did agree with you that, it is more like an informational or experimental than BCP.

Can the chairs help to do the decision ?

The authors are happy to change that.

Thanks
Jingrong.

From: Tony Przygienda [mailto:[email-masked]]
Sent: Thursday, October 11, 2018 12:06 PM
To: Xiejingrong <[email-masked]>
Cc: [email-masked]; Antoni Przygienda <[email-masked]>; BIER WG <[email-masked]>
Subject: Re: [Bier] BIER WG adoption of https://datatracker.ietf.org/doc/draft-xie-bier-entropy-staged-dc-clos/

From my side one comment only, that's really BCP? BCP is what everyone does AFAIU and this seems just _one_ of the ways to slice the cucumber salad and hence probably more of an informational track ...

--- tony

On Wed, Oct 10, 2018 at 8:58 PM Xiejingrong <[email-masked]<mailto:[email-masked]>> wrote:
Hi Suneesh,

Jingrong

From: BIER [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Suneesh Babu
Sent: Thursday, October 11, 2018 10:53 AM
To: Antoni Przygienda <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Bier] BIER WG adoption of https://datatracker.ietf.org/doc/draft-xie-bier-entropy-staged-dc-clos/

Hi,

Section 4.1: (page-4)
-------------

What is P here?

Regards,
Suneesh

--- tony

_______________________________________________
BIER mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bier